/*
 * @(#)file      MBeanServerNotificationHandback.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.8
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 *
 */

package com.sun.management.jmx;


import javax.management.* ;


/**
 * Represents the handback object associated with an MBeanServerNotification
 */
class MBeanServerNotificationHandback { 

    
    private transient ObjectName name = null;
    private transient NotificationListener listener = null;
    private transient Object handback = null;

    /**
     * Creates an MBeanServerNotificationHandback
     */
    public MBeanServerNotificationHandback(ObjectName name, NotificationListener listener, Object handback)  { 
        this.name     = name ;
        this.listener = listener ;
        this.handback = handback ;
    } 

    ObjectName getName () {
	return name ;
    }
    
    NotificationListener getListener () {
	return listener ;
    }
    
    Object getHandback () {
	return handback ;
    }
   
 }
