/*
 * @(#)file      InstanceAlreadyExistsException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.4
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management; 


/**
 * The MBean is already registered in the repository.
 */
public class InstanceAlreadyExistsException extends OperationsException   { 

    /**
     * Default constructor.
     */
    public InstanceAlreadyExistsException() {
	super();
    }
    
    /**
     * Constructor that allows a specific error message to be specified.
     */
    public InstanceAlreadyExistsException(String message) {
	super(message);
    }
    
 }
