/*
 * @(#)file      IntrospectionException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.5
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management; 


/**
 * An exception occurred during the introspection of an MBean.
 */
public class IntrospectionException extends OperationsException   { 

    /**
     * Default constructor.
     */
    public IntrospectionException() {
	super();
    }
    
    /**
     * Constructor that allows a specific error message to be specified.
     */
    public IntrospectionException(String message) {
	super(message);
    }
}
