/*
 * @(#)file      MalformedObjectNameException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.6
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */


package javax.management;


/**
 * The format of the string does not correspond to a valid ObjectName
 */
public class MalformedObjectNameException extends OperationsException   { 

    /**
     * Default constructor.
     */
    public MalformedObjectNameException() {
	super();
    }
    
    /**
     * Constructor that allows a specific error message to be specified.
     */
    public MalformedObjectNameException(String message) {
	super(message);
    }
}



