/*
 * @(#)file      InvalidRelationTypeException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.5
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management.relation;

/**
 * This exception is raised when, in a relation type, there is already a
 * relation type with that name, or the same name has been used for two
 * different role infos, or no role info provided, or one null role info
 * provided
 */
public class InvalidRelationTypeException extends RelationException {

    /**
     * Default constructor, no message put in exception
     */
    public InvalidRelationTypeException() {
	super();
    }

    /**
     * Constructor with given message put in exception
     */
    public InvalidRelationTypeException(String message) {
	super(message);
    }
}
