/*
 * @(#)file      NotCompliantMBeanException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   4.5
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management;


/**
 * Exception which occurs when trying to register an  object in the MBean server that is not a JMX compliant MBean. 
 */
public class NotCompliantMBeanException  extends OperationsException {


    /**
     * Default constructor.
     */
    public NotCompliantMBeanException()  {      
	super();
    } 

    /**
     * Constructor that allows a specific error message to be specified.
     */
    public NotCompliantMBeanException(String message)  {      
	super(message);
    } 
    
 }
