/*
 * @(#)file      InvalidRoleInfoException.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.5
 * @(#)date      00/04/11
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 * Ce logiciel est propriet de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation. 
 */

package javax.management.relation;

/**
 * This exception is raised when, in a role info, its minimum degree is greater
 * than its maximum degree
 */
public class InvalidRoleInfoException extends RelationException {

    /**
     * Default constructor, no message put in exception
     */
    public InvalidRoleInfoException() {
	super();
    }

    /**
     * Constructor with given message put in exception
     */
    public InvalidRoleInfoException(String message) {
	super(message);
    }
}
